import {httpApi} from "../../request/httpApi";

export default {
    //分页获取计划列表
    async getPage(form, msg = true) {
        return httpApi({
            url: '/api/blade-control/departmentMonthPlan/getPage',
            method: 'get',
            params: form
        }, msg);
    },
 //获取部门列表
    async getDepartmentDict(form, msg = true) {
        return httpApi({
            url: '/api/blade-control/departmentMonthPlan/getDepartmentDict',
            method: 'get',
            params: form
        }, msg);
    },
    //查询部门月度计划
    async getDepartmentPlan(form, msg = true) {
        return httpApi({
            url: '/api/blade-control/departmentMonthPlan/getDepartmentPlan',
            method: 'post',
            data: form
        }, msg);
    },
    //新增部门月计划
    async addDepartmentPlan(form, msg = true) {
        return httpApi({
            url: '/api/blade-control/departmentMonthPlan/addDepartmentPlan',
            method: 'post',
            data: form
        }, msg);
    },
}
